Subject: bug#30699: 26.0.91; buffer contents flicker on macOS frames when frames are resized

From: Aaron Jensen <[email-masked]>
Date: Sun, 4 Mar 2018 18:06:13 -0800

On Sun, Mar 4, 2018 at 1:34 PM, Alan Third <[email-masked]> wrote:
>> Simpler repro:
>>
>> (dotimes (n 10)
>>   (set-frame-parameter nil 'width (+ 80 n))
>>   (sit-for 0.1))
>>

Thank you, that's much easier :)

> The attached patch appears to fix it without breaking mouse resizing,
> but it looks like this comment in windowDidResize also counts for macOS:

This patch appears to fix it for me, it's much nicer, thank you!

I tested it with my keyboard resizing and mouse resizing and all seems
to work well.

Is this too dangerous of a patch to apply to emacs-26? The main case
I'd make for it is these new posframe libraries are really nice, so
it'd be nice for non-HEAD users to be able to use them w/o the
flicker.

Thanks!